"""fix alembic version table

Revision ID: 2025_04_14_fix_alembic_version
Revises: 4dbeb89dd33a
Create Date: 2025-04-14 00:00:00.000000

"""
from alembic import op
import sqlalchemy as sa

# revision identifiers, used by Alembic.
revision = '2025_04_14_fix_alembic_version'
down_revision = '4dbeb89dd33a'
branch_labels = None
depends_on = None


def upgrade() -> None:
    # Increase the size of version_num column in alembic_version table
    op.alter_column('alembic_version', 'version_num',
                    existing_type=sa.String(32),
                    type_=sa.String(255))


def downgrade() -> None:
    # Revert the column size back to 32
    op.alter_column('alembic_version', 'version_num',
                    existing_type=sa.String(255),
                    type_=sa.String(32)) 